Skip to content
Start here

Update account profile

client.Accounts.AccountProfile.Update(ctx, params) error
PUT/accounts/{account_id}/profile

Updates the business profile (name, email, phone, address, and external metadata) associated with this account’s parent organization customer record. Changes apply to every account and organization sharing that profile. Omitted or empty fields are left unchanged. Only available to members of an organization that contains the account. Requires Account Settings Write permission.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Settings Write
ParametersExpand Collapse
params AccountProfileUpdateParams
AccountID param.Field[string]

Path param: The ID of the account whose business profile to update.

AccountProfile param.Field[AccountProfile]

Body param

Update account profile

package main

import (
  "context"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/accounts"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  err := client.Accounts.AccountProfile.Update(context.TODO(), accounts.AccountProfileUpdateParams{
    AccountID: cloudflare.F("account_id"),
    AccountProfile: accounts.AccountProfileParam{
      BusinessAddress: cloudflare.F("business_address"),
      BusinessEmail: cloudflare.F("business_email"),
      BusinessName: cloudflare.F("business_name"),
      BusinessPhone: cloudflare.F("business_phone"),
      ExternalMetadata: cloudflare.F("external_metadata"),
    },
  })
  if err != nil {
    panic(err.Error())
  }
}
Returns Examples